import { post, get, detele } from '../index'

// 新增或者修改企业类型
export const apiAddOrUpdateCompanyType = (data: any) => {
    return post('/zlpt-company/company_type/addOrUpdateCompanyType', data)
}

//  根据id删除企业类型
export const apiDeleteCompanyType = (id: any) => {
    let strUrl = `/zlpt-company/company_type/deleteCompanyType/${id}`
    return detele(strUrl, {})
}




//  企业类型导出
export const apiExportExcel = () => {
    let strUrl = `/zlpt-company/company_type/exportExcel`
    return get(strUrl, {})
}

//  根据条件查询企业所属
export const apiSelectCompanyLtd = (params: any) => {
    let strUrl = `/zlpt-company/company_type/selectCompanyLtd`
    return post(strUrl, params)
}



// 根据条件查询企业类型数据
export const apiSelectCompanyTypeList = (params: any) => {
    let strUrl = `/zlpt-company/company_type/selectCompanyTypeList`
    return post(strUrl, params)
}

// ======
// 根据条件查询证件类型
export const apiSelectIdCard = (params: any) => {
    let strUrl = `/zlpt-company/company_type/selectIdCard`
    return post(strUrl, params)
}


// =======================企业入驻审核======================
 // 企业注销
export const apiCompanyInfo = (deptId: any) => {
    let strUrl = `/zlpt-company/company_info/${deptId}`
    return detele(strUrl, {})
}
 // 录入企业信息
export const apiAddCompanyInfo = (params: any) => {
    let strUrl = `/zlpt-company/company_info/addCompanyInfo`
    return post(strUrl, params)
}
 // 企业入驻信息导出
export const apiCompanyExportExcel = (params: any) => {
    let strUrl = `/zlpt-company/company_info/exportExcel`
    return get(strUrl, params)
}
 // 根据企业id查询企业信息
export const apiGetCompanyInfoById = (id: any) => {
    let strUrl = `/zlpt-company/company_info/getCompanyInfoById/${id}`
    return get(strUrl, {})
}

 // 获取公司列表
 export const apiGetCompanyInfoList = (params: any) => {
    let strUrl = `/zlpt-company/company_info/list`
    return get(strUrl,params)
}
 // 通过主键查询单条数据
 export const apiGetCompanyInfoSelectById = (params: any) => {
    let strUrl = `/zlpt-company/company_info/selectById`
    return get(strUrl,params)
}
 // 根据条件查询企业详细信息
 export const apiSelectCompanyInfo = (params: any) => {
    let strUrl = `/zlpt-company/company_info/selectCompanyInfo`
    return post(strUrl,params)
}
 // 根据条件查询企业信息(企业入驻审核) 企业入驻审核列表
 export const apiGetCompanyInfoSelectList = (params: any) => {
    let strUrl = `/zlpt-company/company_info/selectList`
    return post(strUrl,params)
}
 // /company_info/updateCompanyInfo
 export const apiupdateCompanyInfo = (params: any) => {
    let strUrl = `/zlpt-company/company_info/updateCompanyInfo`
    return post(strUrl,params)
}

//=============================================企业业务开通管理
// business​/open​/exportExcel
export const apiBusinessOpenExportExcel = ( ) => {
    let strUrl =    `/zlpt-company/business/open/exportExcel`
    return get(strUrl,{})
}
// 新增业务开通请求
export const apiBusinessOpenInsert = (params: any) => {
    let strUrl = `/zlpt-company/business/open/insert`
    return post(strUrl,params)
}
// 根据条件查询企业业务开通信息列表
export const apiBusinessOpenselectList = (params: any) => {
    let strUrl = `/zlpt-company/business/open/selectList`
    return post(strUrl,params)
}
// 企业业务开通数据修改
export const apiBusinessUpdateBusiness = (params: any) => {
    let strUrl = `/zlpt-company/business/open/updateBusiness`
    return post(strUrl,params)
}




 
 